Problems with VCRT 2017, 2015, and alpha35.6 x64

alpha

#1

First, 50alpha35.6 requires VCRT 2017, but I can find no offline package available for it:

https://support.microsoft.com/en-us/help/2977003/the-latest-supported-visual-c-downloads

This means 35.6 cannot be installed on a system that does not have internet access, so systems that are on private LAN for reasons of security and stability cannot be used for testing it. So a humble request to the devvvvs to please not make vvvv dependent on internet access.

Also, (and this appears to be an MS problem), when I went to install b35.5 on a system that a35.6 (and hence VCRT 2017) had been installed on, the VCRT 2015 install would fail saying a version of 2015 had already been installed; I had to uninstall 2017 before it would install 2015. So things are not really stable with 2017 yet, another good reason to not build in a dependency to it, if possible. Thanks!


#2

afaik 2017 and 2015 are the same, it just got renamed because MS likes name confusions very much… if you have either installed vvvv will run despite the red box in the setup.exe.


#3

the download for for the 2017 packs is here:

(will be added to the download page with next beta release)

while ms doesn’t manage to offer a proper download page for all those different versions, luckily someone on stackoverflow does:


#4

@tonfilm OK, I can understand 35.5 not recognizing it will work, but there must be some reason 35.6 needs 2017 due to some difference?

@joreg Ah, I even did a search on the MS site for the offline package and came up empty-handed, just found the web installer. But it seems that it actually is the full installer after all, as the files seem the same. And thanks for the handy stackoverflow reference!


#5

since ms is now calling the 2015 update 2017 we do so too in setup.exe of 35.6 and up.
and note, as mentioned, that the info you find on the the stackoverflow link is what we provide in a more clean version for you on the download page.


#6

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.